Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTextStream.FieldAlignment

    java.lang.Object
      java.lang.Enum<QTextStream.FieldAlignment>
          com.trolltech.qt.core.QTextStream.FieldAlignment

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextStream.FieldAlignment>

Enclosing class:
  QTextStream

    public static enum QTextStream.FieldAlignment

extends java.lang.Enum<QTextStream.FieldAlignment>
implements QtEnumerator

This enum specifies how to align text in fields when the field is wider than the text that occupies it.

See Also:
  `setFieldAlignment`

Enum Constant Summary
`AlignAccountingStyle` Same as `AlignRight`, except that the sign of a number is flush left.
`AlignCenter` Pad on both sides of field.
`AlignLeft` Pad on the right side of fields.
`AlignRight` Pad on the left side of fields.

Method Summary
`static QTextStream.FieldAlignment` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextStream.FieldAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextStream.FieldAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AlignLeft

    public static final QTextStream.FieldAlignment AlignLeft

  Pad on the right side of fields.

### AlignRight

    public static final QTextStream.FieldAlignment AlignRight

  Pad on the left side of fields.

### AlignCenter

    public static final QTextStream.FieldAlignment AlignCenter

  Pad on both sides of field.

### AlignAccountingStyle

    public static final QTextStream.FieldAlignment AlignAccountingStyle

  Same as `AlignRight`, except that the sign of a number is flush left.

Method Detail

### values

    public static final QTextStream.FieldAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextStream.FieldAlignment c : QTextStream.FieldAlignment.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextStream.FieldAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextStream.FieldAlignment resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD